import{s as le,o as ae,n as ie}from"../chunks/scheduler.db6b1edd.js";import{S as ne,i as se,g as c,s,r as N,A as re,h as d,f as o,c as r,j as ee,u as R,x as m,k as W,y as ce,a as l,v as A,d as F,t as O,w as J,m as te,n as oe}from"../chunks/index.ef84021a.js";import{T as de}from"../chunks/Tip.67451c24.js";import{C as pe}from"../chunks/CodeBlock.786162a6.js";import{H as me}from"../chunks/Heading.87f70b00.js";function ue(L){let i,n,u="datasets with Parquet exports",p;return{c(){i=te("Currently, only "),n=c("a"),n.textContent=u,p=te(`
  are supported so Datasets Server can index the contents and run the filter query without
  downloading the whole dataset.`),this.h()},l(a){i=oe(a,"Currently, only "),n=d(a,"A",{href:!0,"data-svelte-h":!0}),m(n)!=="svelte-1im6jtl"&&(n.textContent=u),p=oe(a,`
  are supported so Datasets Server can index the contents and run the filter query without
  downloading the whole dataset.`),this.h()},h(){W(n,"href","./parquet")},m(a,f){l(a,i,f),l(a,n,f),l(a,p,f)},p:ie,d(a){a&&(o(i),o(n),o(p))}}}function fe(L){let i,n,u,p,a,f,w,B="Datasets Server provides a <code>/filter</code> endpoint for filtering rows in a dataset.",H,h,b,x,Z=`This guide shows you how to use Datasets Server’s <code>/filter</code> endpoint to filter rows based on a query string.
Feel free to also try it out with <a href="https://redocly.github.io/redoc/?url=https://datasets-server.huggingface.co/openapi.json#operation/filterRows" rel="nofollow">ReDoc</a>.`,P,$,G="The <code>/filter</code> endpoint accepts the following query parameters:",j,v,V="<li><code>dataset</code>: the dataset name, for example <code>glue</code> or <code>mozilla-foundation/common_voice_10_0</code></li> <li><code>config</code>: the configuration name, for example <code>cola</code></li> <li><code>split</code>: the split name, for example <code>train</code></li> <li><code>where</code>: the filter condition</li> <li><code>offset</code>: the offset of the slice, for example <code>150</code></li> <li><code>length</code>: the length of the slice, for example <code>10</code> (maximum: <code>100</code>)</li>",S,_,Y="The <code>where</code> parameter must be expressed as a comparison predicate, which can be:",U,g,I="<li>a simple predicate composed of a column name, a comparison operator, and a value<ul><li>the comparison operators are: <code>=</code>, <code>&lt;&gt;</code>, <code>&gt;</code>, <code>&gt;=</code>, <code>&lt;</code>, <code>&lt;=</code></li></ul></li> <li>a composite predicate composed of two or more simple predicates (optionally grouped with parentheses to indicate the order of evaluation), combined with logical operators<ul><li>the logical operators are: <code>AND</code>, <code>OR</code>, <code>NOT</code></li></ul></li>",k,M,K="For example, the following <code>where</code> parameter value",q,T,z,y,Q=`will filter the data to select only those rows where the float “age” column is larger than 30 and,
either the string “name” column is equal to ‘Simone’ or the integer “children” column is equal to 0.`,D,C,E;return a=new me({props:{title:"Filter rows in a dataset",local:"filter-rows-in-a-dataset",headingTag:"h1"}}),h=new de({props:{warning:!0,$$slots:{default:[ue]},$$scope:{ctx:L}}}),T=new pe({props:{code:"d2hlcmUlM0RhZ2UlM0UzMCUyMEFORCUyMChuYW1lJTNEJ1NpbW9uZSclMjBPUiUyMGNoaWxkcmVuJTNEMCk=",highlighted:'<span class="hljs-attribute">where</span>=age&gt;30 <span class="hljs-keyword">AND</span> (<span class="hljs-attribute">name</span>=<span class="hljs-string">&#x27;Simone&#x27;</span> <span class="hljs-keyword">OR</span> <span class="hljs-attribute">children</span>=0)',wrap:!1}}),{c(){i=c("meta"),n=s(),u=c("p"),p=s(),N(a.$$.fragment),f=s(),w=c("p"),w.innerHTML=B,H=s(),N(h.$$.fragment),b=s(),x=c("p"),x.innerHTML=Z,P=s(),$=c("p"),$.innerHTML=G,j=s(),v=c("ul"),v.innerHTML=V,S=s(),_=c("p"),_.innerHTML=Y,U=s(),g=c("ul"),g.innerHTML=I,k=s(),M=c("p"),M.innerHTML=K,q=s(),N(T.$$.fragment),z=s(),y=c("p"),y.textContent=Q,D=s(),C=c("p"),this.h()},l(e){const t=re("svelte-u9bgzb",document.head);i=d(t,"META",{name:!0,content:!0}),t.forEach(o),n=r(e),u=d(e,"P",{}),ee(u).forEach(o),p=r(e),R(a.$$.fragment,e),f=r(e),w=d(e,"P",{"data-svelte-h":!0}),m(w)!=="svelte-1stgbzm"&&(w.innerHTML=B),H=r(e),R(h.$$.fragment,e),b=r(e),x=d(e,"P",{"data-svelte-h":!0}),m(x)!=="svelte-ciz8sn"&&(x.innerHTML=Z),P=r(e),$=d(e,"P",{"data-svelte-h":!0}),m($)!=="svelte-1nmkycr"&&($.innerHTML=G),j=r(e),v=d(e,"UL",{"data-svelte-h":!0}),m(v)!=="svelte-147r19"&&(v.innerHTML=V),S=r(e),_=d(e,"P",{"data-svelte-h":!0}),m(_)!=="svelte-g77254"&&(_.innerHTML=Y),U=r(e),g=d(e,"UL",{"data-svelte-h":!0}),m(g)!=="svelte-ag7tfz"&&(g.innerHTML=I),k=r(e),M=d(e,"P",{"data-svelte-h":!0}),m(M)!=="svelte-1kpy5il"&&(M.innerHTML=K),q=r(e),R(T.$$.fragment,e),z=r(e),y=d(e,"P",{"data-svelte-h":!0}),m(y)!=="svelte-15zjrdb"&&(y.textContent=Q),D=r(e),C=d(e,"P",{}),ee(C).forEach(o),this.h()},h(){W(i,"name","hf:doc:metadata"),W(i,"content",he)},m(e,t){ce(document.head,i),l(e,n,t),l(e,u,t),l(e,p,t),A(a,e,t),l(e,f,t),l(e,w,t),l(e,H,t),A(h,e,t),l(e,b,t),l(e,x,t),l(e,P,t),l(e,$,t),l(e,j,t),l(e,v,t),l(e,S,t),l(e,_,t),l(e,U,t),l(e,g,t),l(e,k,t),l(e,M,t),l(e,q,t),A(T,e,t),l(e,z,t),l(e,y,t),l(e,D,t),l(e,C,t),E=!0},p(e,[t]){const X={};t&2&&(X.$$scope={dirty:t,ctx:e}),h.$set(X)},i(e){E||(F(a.$$.fragment,e),F(h.$$.fragment,e),F(T.$$.fragment,e),E=!0)},o(e){O(a.$$.fragment,e),O(h.$$.fragment,e),O(T.$$.fragment,e),E=!1},d(e){e&&(o(n),o(u),o(p),o(f),o(w),o(H),o(b),o(x),o(P),o($),o(j),o(v),o(S),o(_),o(U),o(g),o(k),o(M),o(q),o(z),o(y),o(D),o(C)),o(i),J(a,e),J(h,e),J(T,e)}}}const he='{"title":"Filter rows in a dataset","local":"filter-rows-in-a-dataset","sections":[],"depth":1}';function we(L){return ae(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Me extends ne{constructor(i){super(),se(this,i,we,fe,le,{})}}export{Me as component};
